gnutls_x509_crt_get_raw_dn(3)

NAME
gnutls_x509_crt_get_raw_dn - This function returns the subject's DN DER encoded

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_raw_dn(gnutls_x509_crt_t cert, gnutls_datum_t * start);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

gnutls_datum_t * start
    will hold the starting point of the DN

DESCRIPTION
This function will return a pointer to the DER encoded DN structure and the length. Returns 0 on success, or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.